Package org.opencv.video

## Class SparsePyrLKOpticalFlow

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.video.SparseOpticalFlow
    - - org.opencv.video.SparsePyrLKOpticalFlow

-     public class SparsePyrLKOpticalFlow
      extends SparseOpticalFlow

  Class used for calculating a sparse optical flow. The class can calculate an optical flow for a sparse feature set using the iterative Lucas-Kanade method with pyramids. SEE: calcOpticalFlowPyrLK

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SparsePyrLKOpticalFlow​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SparsePyrLKOpticalFlow` | `__fromPtr__​(long addr)` |
    `static SparsePyrLKOpticalFlow` | `create()` |
    `static SparsePyrLKOpticalFlow` | `create​(Size winSize)` |
    `static SparsePyrLKOpticalFlow` | `create​(Size winSize, int maxLevel)` |
    `static SparsePyrLKOpticalFlow` | `create​(Size winSize, int maxLevel, TermCriteria crit)` |
    `static SparsePyrLKOpticalFlow` | `create​(Size winSize, int maxLevel, TermCriteria crit, int flags)` |
    `static SparsePyrLKOpticalFlow` | `create​(Size winSize, int maxLevel, TermCriteria crit, int flags, double minEigThreshold)` |
    `protected void` | `finalize()` |
    `int` | `getFlags()` |
    `int` | `getMaxLevel()` |
    `double` | `getMinEigThreshold()` |
    `TermCriteria` | `getTermCriteria()` |
    `Size` | `getWinSize()` |
    `void` | `setFlags​(int flags)` |
    `void` | `setMaxLevel​(int maxLevel)` |
    `void` | `setMinEigThreshold​(double minEigThreshold)` |
    `void` | `setTermCriteria​(TermCriteria crit)` |
    `void` | `setWinSize​(Size winSize)` |

    - ### Methods inherited from class org.opencv.video.SparseOpticalFlow

      `calc, calc`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparsePyrLKOpticalFlow

          protected SparsePyrLKOpticalFlow​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SparsePyrLKOpticalFlow __fromPtr__​(long addr)

    - #### create

          public static SparsePyrLKOpticalFlow create​(Size winSize,
                                                      int maxLevel,
                                                      TermCriteria crit,
                                                      int flags,
                                                      double minEigThreshold)

    - #### create

          public static SparsePyrLKOpticalFlow create​(Size winSize,
                                                      int maxLevel,
                                                      TermCriteria crit,
                                                      int flags)

    - #### create

          public static SparsePyrLKOpticalFlow create​(Size winSize,
                                                      int maxLevel,
                                                      TermCriteria crit)

    - #### create

          public static SparsePyrLKOpticalFlow create​(Size winSize,
                                                      int maxLevel)

    - #### create

          public static SparsePyrLKOpticalFlow create​(Size winSize)

    - #### create

          public static SparsePyrLKOpticalFlow create()

    - #### getWinSize

          public Size getWinSize()

    - #### getTermCriteria

          public TermCriteria getTermCriteria()

    - #### getMinEigThreshold

          public double getMinEigThreshold()

    - #### getFlags

          public int getFlags()

    - #### getMaxLevel

          public int getMaxLevel()

    - #### setFlags

          public void setFlags​(int flags)

    - #### setMaxLevel

          public void setMaxLevel​(int maxLevel)

    - #### setMinEigThreshold

          public void setMinEigThreshold​(double minEigThreshold)

    - #### setTermCriteria

          public void setTermCriteria​(TermCriteria crit)

    - #### setWinSize

          public void setWinSize​(Size winSize)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `SparseOpticalFlow`
      Throws:
        `java.lang.Throwable`